Skip to main content
POST
/
api
/
run
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "extend-video",
    "input": {
      "model": "veo-extend",
      "video_url": "https://example.com/my-video.mp4"
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "extend-video",
  "createdAt": "2024-01-15T10:30:00.000Z"
}
Credits30 credits per second
Toolextend-video

Headers

NameTypeRequiredDescription
AuthorizationstringYesYour API key
Content-TypestringYesapplication/json

Body

ParameterTypeRequiredDescription
toolstringYesextend-video
input.modelstringYesveo-extend
input.video_urlstringYesURL of the video to extend
input.promptstringNoDescription to guide the extension
input.durationnumberNoExtension duration in seconds (default: 7)
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "extend-video",
    "input": {
      "model": "veo-extend",
      "video_url": "https://example.com/my-video.mp4"
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "extend-video",
  "createdAt": "2024-01-15T10:30:00.000Z"
}